#include "mousehandler.h"

int main()
{
	cout << endl;
	cout << "*************************************" << endl;
	cout << "**          Game Patterns          **" << endl;
	cout << "**             Command             **" << endl;
	cout << "*************************************" << endl;
	cout << "**       Christoph Stallmann       **" << endl;
	cout << "**      University of Pretoria     **" << endl;
	cout << "**          COS121 - 2012          **" << endl;
	cout << "*************************************" << endl;
	cout << endl;

	MouseHandler handler;
	Squad squad1(1);
	Squad squad2(2);

	handler.handleLeftClick();
	handler.handleButton1Click();
	handler.handleButton2Click();

	//Move the first squad and then throw a grenade
	handler.select(&squad1);
	handler.handleLeftClick();
	handler.handleButton2Click();

	//Move  and then retreat the second squad
	handler.select(&squad2);
	handler.handleLeftClick();
	handler.handleButton1Click();

	//Retreat the first squad
	handler.select(&squad1);
	handler.handleButton1Click();

	cout << endl;

	return 0;
}
